## ros-kinetic-fanuc-m10ia-support 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(fanuc_m10ia_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test_m10ia.xml)
  roslaunch_add_file_check(tests/roslaunch_test_m10ia7l.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES readme.md DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-fanuc-m10ia-support (0.5.1-1xenial) xenial; urgency=high

  * bump min CMake version (#309 <https://github.com/ros-industrial/fanuc/issues/309>).
  * correct missing dependency on ``industrial_robot_client`` (RViz cfg) (#306 <https://github.com/ros-industrial/fanuc/issues/306>).
  * specify OPW joint offsets in degrees (#293 <https://github.com/ros-industrial/fanuc/issues/293>).
  * point to manifest for info on package contents (#292 <https://github.com/ros-industrial/fanuc/issues/292>).
  * add OPW kinematics parameter files (#284 <https://github.com/ros-industrial/fanuc/issues/284>).
  * remove roslaunch version requirements as they're no longer needed (#278 <https://github.com/ros-industrial/fanuc/issues/278>).
  * migrate to JSP GUI (was split out of JSP).
  * for a complete list of changes see the commit log for 0.5.1 <https://github.com/ros-industrial/fanuc/compare/0.5.0...0.5.1>.
  * contributors: Jeroen de Maeyer, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 01 Apr 2021 22:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.5.0-1xenial) xenial; urgency=high

  * make ``flange`` parent of ``tool0`` (#271 <https://github.com/ros-industrial/fanuc/issues/271>).
  * update xacro xmlns uri (#239 <https://github.com/ros-industrial/fanuc/issues/239>).
  * for a complete list of changes see the commit log for 0.5.0 <https://github.com/ros-industrial/fanuc/compare/0.4.4...0.5.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 24 Sep 2019 22:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.4.4-1xenial) xenial; urgency=high

  * add custom manifest tags to make package support level explicit.
  * for a complete list of changes see the commit log for 0.4.4 <https://github.com/ros-industrial/fanuc/compare/0.4.3...0.4.4>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jan 2018 23:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.4.3-1xenial) xenial; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.4.3 <https://github.com/ros-industrial/fanuc/compare/0.4.2...0.4.3>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 13 Oct 2017 22:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.4.2-1xenial) xenial; urgency=high

  * add 'flange' frame: attachment point for EEF xacro models (#213 <https://github.com/ros-industrial/fanuc/pull/213>).
  * use Jade+ xacro 'pi' constant instead of our own.
  * remove redundant urdfs, consumers should use xacro macros or top-level xacros.
  * add XML schema processing instruction (#200 <https://github.com/ros-industrial/fanuc/issues/200>).
  * migrate to in-order processing of xacros (supported on Indigo and up).
  * for a complete list of changes see the commit log for 0.4.2 <https://github.com/ros-industrial/fanuc/compare/0.4.1...0.4.2>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 May 2017 22:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.4.1-1xenial) xenial; urgency=high

  * use ``xacro`` instead of ``xacro.py`` (#195 <https://github.com/ros-industrial/fanuc/issues/195>).
  * remove roslaunch test dependencies (#185 <https://github.com/ros-industrial/fanuc/issues/185>).
  * add support for the M-10iA/7L variant (contributors: Jeremy Zoss (SwRI))
  * for a complete list of changes see the commit log for 0.4.1 <https://github.com/ros-industrial/fanuc/compare/0.4.0...0.4.1>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 16 Jun 2016 22:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.4.0-1xenial) xenial; urgency=high

  * first Indigo release.
  * upgrade manifests to package format 2 (#115 <https://github.com/ros-industrial/fanuc/issues/115>).
  * general cleanup of XML files (launch, manifests, roslaunch tests, xacros).
  * add ROS Index tags to package manifests (#147 <https://github.com/ros-industrial/fanuc/issues/147>).
  * document launch file arguments (#165 <https://github.com/ros-industrial/fanuc/issues/165>).
  * use multi-arg install rule instead of for-loop.
  * use Roboguide colours for meshes where appropriate (#166 <https://github.com/ros-industrial/fanuc/issues/166>).
  * for a complete list of changes see the commit log for 0.4.0 <https://github.com/ros-industrial/fanuc/compare/0.3.2...0.4.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 10 Oct 2015 22:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.3.2-1xenial) xenial; urgency=high

  * add readmes to all packages (#153 <https://github.com/ros-industrial/fanuc/issues/153>).
  * for a complete list of changes see the commit log for 0.3.2 <https://github.com/ros-industrial/fanuc/compare/0.3.1...0.3.2>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 18 Apr 2015 22:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.3.1-1xenial) xenial; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.3.1 <https://github.com/ros-industrial/fanuc/compare/0.3.0...0.3.1>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 20 Jan 2015 23:00:00 -0000

ros-kinetic-fanuc-m10ia-support (0.3.0-1xenial) xenial; urgency=high

  * promote experimental packages for M-10iA, M-16iB, M-20iA, M-430iA and LR Mate 200iC to main repository.
  * add info on specific config used for urdf/xacro (#26 <https://github.com/ros-industrial/fanuc/issues/26>).
  * explicitly declare dependencies of roslaunch tests (#70 <https://github.com/ros-industrial/fanuc/issues/70>).
  * add 'base' link (transform to World Coordinates) (#101 <https://github.com/ros-industrial/fanuc/issues/101>).
  * update urdfs based on DH data (#54 <https://github.com/ros-industrial/fanuc/issues/54> and #63 <https://github.com/ros-industrial/fanuc/issues/63>).


=== debian/control ===
Source: ros-kinetic-fanuc-m10ia-support
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://wiki.ros.org/fanuc_m10ia_support
Standards-Version: 3.9.2

Package: ros-kinetic-fanuc-m10ia-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-fanuc-driver, ros-kinetic-fanuc-resources, ros-kinetic-industrial-robot-client, ros-kinetic-joint-state-publisher-gui, ros-kinetic-robot-state-publisher, ros-kinetic-rviz, ros-kinetic-xacro
Description: ROS-Industrial support for the Fanuc M-10iA (and variants).
 This package contains configuration data, 3D models and launch files for Fanuc M-10iA manipulators. This includes the base model and the /7L variant. Specifications: M-10iA - &quot;Conventional dress-out&quot; M-10iA/7L - &quot;Conventional dress-out&quot; Joint limits and maximum joint velocities are based on the information in the FANUC Robot M-10iA Mechanical Unit Operator's Manual version B-82754EN/09. All urdfs are based on the default motion and joint velocity limits, unless noted otherwise (ie: no support for high speed joints, extended / limited motion ranges or other options). Before using any of the configuration files and / or meshes included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fanuc-m10ia-support//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
